Client server schedules
Create task
Creates a new task on the specified schedule
POST
/api/client/servers/{server}/schedules/{schedule}/tasksAuthorization
ClientToken AuthorizationBearer <token>
Client API key (generated at /account/api)
In: header
Path Parameters
server*string
Server identifier (short 8-character ID)
schedule*integer
Schedule ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/client/servers/1a7ce997/schedules/1/tasks" \ -H "Content-Type: application/json" \ -d '{ "action": "command", "payload": "say Hello World", "time_offset": "0" }'{ "object": "schedule_task", "attributes": { "id": 6, "sequence_id": 1, "action": "command", "payload": "say Hello World", "time_offset": 0, "is_queued": false, "created_at": "2020-10-29T01:09:03+00:00", "updated_at": "2020-10-29T01:09:03+00:00" }}